import { Dispatcher, EventBus } from '../../bus';
import { IL10n } from '../../l10n';
import { Bookmark } from './bookmark';
export declare class BookmarkService extends Dispatcher {
    readonly eventBus: EventBus;
    readonly l10n: IL10n;
    protected bookmarks: Map<number, Bookmark>;
    constructor(eventBus: EventBus, l10n: IL10n);
    get length(): number;
    load(bookmarks?: Bookmark[]): void;
    all(): Bookmark[];
    has(page: number): boolean;
    get(page: number): Bookmark | undefined;
    add(bookmark: Bookmark): void;
    addOrDelete(page: number): void;
    delete(page: number): void;
    destroy(): void;
}
